_global.ListScreen = function() {
   model.addListener(this);
}

ListScreen.prototype = new MovieClip();

ListScreen.prototype.onRetrievePeople = function(people_rs) {
   
   DataGlue.bindFormatFunction(this.people_lst, people_rs, this.formatPersonRecord);
}

ListScreen.prototype.formatPersonRecord = function(person_obj) {
   person_obj.label = person_obj["LastName"] + ", " + person_obj["FirstName"];
   return person_obj;
}

ListScreen.prototype.viewClick = function() {
   
   var selected_obj = this.people_lst.getSelectedItem();
   
   if (selected_obj["PersonID"] != undefined) {
      controller.showDetail(selected_obj);
   } else {
      controller.showError("Please select a person and then click 'View' to see the details.", "showList");
   }
}

ListScreen.prototype.clearSelection = function() {
   this.people_lst.setSelectedIndex(null);
}

Object.registerClass("ListScreenSymbol", ListScreen);


